[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# EResourceLangIDChangeNotAllowedException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Language ID is not allowed to change

## Declaration

Source position: resource.pp line 81

`type EResourceLangIDChangeNotAllowedException = class(EResourceException)`

## Inheritance

`EResourceLangIDChangeNotAllowedException` |  | Language ID is not allowed to change
`EResourceException` |  | Base class for resource-related exceptions
`Exception`
`TObject`

## Description

This exception is raised when the resource language ID is tried to be changed, but the resource is contained in a TResources object.

## See also

TAbstractResource.LangID |  | The language ID of the resource